Subject: DLSw MIB comments

From: "Peter W. Gayek" <[email-masked]>
Date: Tue, 20 Jun 95 19:09:16 EDT

Brian,
The issue you just raised about "history" has a history of its own.
The same discussion has taken place at least 3 times that I know of;
for the SDLC MIB, the LLC MIB, and the DLSw MIB.  Traps were entertained
and ruled out because they weren't reliable, as you say.  The idea of
an event trace table was actually in the DLSw MIB and maybe the LLC
MIB at one point, but was ditched for reasons I can't reconstruct right
this minute - basically people preferred the approach that's currently
represented in the DLSw MIB draft.  I like the event table idea myself
but sometimes you have to go with the flow.....  Of course this is
up to Shannon but I would hate to reopen this issue that was closed
so long ago.

Keeping entries around past disconnect is optional so if it seems
burdensome to someone, they don't have to do it.  And if an implementa-
tion wants to do a trace table, they can of course have a MIB extension
for this.  As for the standard MIB, I think precedent in the SDLC and
LLC MIBs is clearly behind the current approach.

About the size of TConnOper rows, you could always offer a concrete
proposal for how to regroup the objects to address your concern.
Shannon, is the door still open for this kind of restructuring?
At least a few objects were dropped at the AIW.

Thanks for reviewing the MIB and offering comments.  Dave Chen and I
are incorporating comments from the AIW and this mailing list this
week and should have a new draft out soon.

Peter Gayek
IBM